Bug 79318 - [BlackBerry] Anchor mailto: with target set won't launch Messaging application when clicked
Summary: [BlackBerry] Anchor mailto: with target set won't launch Messaging applicatio...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Major
Assignee: Leo Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-22 19:08 PST by Charles Wei
Modified: 2012-02-24 02:54 PST (History)
5 users (show)

See Also:


Attachments
Patch (2.96 KB, patch)
2012-02-22 22:24 PST, Charles Wei
no flags Details | Formatted Diff | Diff
Patch for landing (2.93 KB, patch)
2012-02-23 18:23 PST, Leo Yang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charles Wei 2012-02-22 19:08:30 PST
<a href="mailto:email@host"> click me to launch messaging </a>   works ,

while
<a href="mailto:email@host" target="_blank"> click me to launch messaging </a> 
doesn't work.
Comment 1 Charles Wei 2012-02-22 22:24:55 PST
Created attachment 128397 [details]
Patch
Comment 2 Rob Buis 2012-02-23 04:36:07 PST
Comment on attachment 128397 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=128397&action=review

Looks good.

> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:282
> +    BlackBerry::Platform::NetworkRequest platformRequest;

Can probably remove the BlackBerry prefix.

> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:285
> +        platformRequest, BlackBerry::Platform::NavigationType(action.type()))) {

Ditto.

> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:287
> +            || action.type() == NavigationTypeFormResubmitted)

Can be just one line.
Comment 3 Charles Wei 2012-02-23 05:51:04 PST
Comment on attachment 128397 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=128397&action=review

>> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:282
>> +    BlackBerry::Platform::NetworkRequest platformRequest;
> 
> Can probably remove the BlackBerry prefix.

No, we can't remove the BlackBerry prefix. We are using BlackBerry:WebKit, but not BlackBerry. Maybe we should use BlackBerry and add the WebKit prefix back in the code. We should do that with another patch.

>> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:287
>> +            || action.type() == NavigationTypeFormResubmitted)
> 
> Can be just one line.

Yes,  will fix this and submit.
Comment 4 Charles Wei 2012-02-23 05:51:52 PST
Comment on attachment 128397 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=128397&action=review

>>> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:282
>>> +    BlackBerry::Platform::NetworkRequest platformRequest;
>> 
>> Can probably remove the BlackBerry prefix.
> 
> No, we can't remove the BlackBerry prefix. We are using BlackBerry:WebKit, but not BlackBerry. Maybe we should use BlackBerry and add the WebKit prefix back in the code. We should do that with another patch.

No, we can't remove the BlackBerry prefix. We are using BlackBerry:WebKit, but not BlackBerry. Maybe we should use BlackBerry and add the WebKit prefix back in the code. We should do that with another patch.

>>> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:287
>>> +            || action.type() == NavigationTypeFormResubmitted)
>> 
>> Can be just one line.
> 
> Yes,  will fix this and submit.

Yes,  will fix this and submit.
Comment 5 WebKit Review Bot 2012-02-23 05:53:12 PST
Comment on attachment 128397 [details]
Patch

Rejecting attachment 128397 [details] from commit-queue.

charles.wei@torchmobile.com.cn does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 6 Charles Wei 2012-02-23 05:54:16 PST
Comment on attachment 128397 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=128397&action=review

remove the commit flag,  added it by accident.

>>>> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:282
>>>> +    BlackBerry::Platform::NetworkRequest platformRequest;
>>> 
>>> Can probably remove the BlackBerry prefix.
>> 
>> No, we can't remove the BlackBerry prefix. We are using BlackBerry:WebKit, but not BlackBerry. Maybe we should use BlackBerry and add the WebKit prefix back in the code. We should do that with another patch.
> 
> No, we can't remove the BlackBerry prefix. We are using BlackBerry:WebKit, but not BlackBerry. Maybe we should use BlackBerry and add the WebKit prefix back in the code. We should do that with another patch.

No, we can't remove the BlackBerry prefix. We are using BlackBerry:WebKit, but not BlackBerry. Maybe we should use BlackBerry and add the WebKit prefix back in the code. We should do that with another patch.

>>>> Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp:287
>>>> +            || action.type() == NavigationTypeFormResubmitted)
>>> 
>>> Can be just one line.
>> 
>> Yes,  will fix this and submit.
> 
> Yes,  will fix this and submit.

Yes,  will fix this and submit.
Comment 7 Leo Yang 2012-02-23 18:23:07 PST
Created attachment 128628 [details]
Patch for landing
Comment 8 WebKit Review Bot 2012-02-24 02:54:15 PST
Comment on attachment 128628 [details]
Patch for landing

Clearing flags on attachment: 128628

Committed r108763: <http://trac.webkit.org/changeset/108763>
Comment 9 WebKit Review Bot 2012-02-24 02:54:20 PST
All reviewed patches have been landed.  Closing bug.